%global packname  tzdb
%global rlibdir  %{_libdir}/R/library
%global debug_package %{nil}

Name:             R-%{packname}
Version:          0.4.0
Release:          4%{?dist}
Summary:          Time Zone Database Information

License:          MIT + file LICENSE
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:   
# Imports:   
# Suggests:  R-covr, R-testthat >= 3.0.0
# LinkingTo:
# Enhances:

BuildRequires:    R-devel, R-cpp11-devel
BuildRequires:    tex(latex)


%description
Provides an up-to-date copy of the Internet Assigned Numbers Authority
(IANA) Time Zone Database. It is updated periodically to reflect changes
made by political bodies to time zone boundaries, UTC offsets, and daylight
saving time rules. Additionally, this package provides a C++ interface for
working with the 'date' library. 'date' provides comprehensive support for
working with dates and date-times, which this package exposes to make it
easier for other R packages to utilize. Headers are provided for calendar
specific calculations, along with a limited interface for time zone
manipulations.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/include
%{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/tzdata



%changelog
* Thu Oct 05 2023 Will Crawford <billcrawford1970@googlemail.com> - 0.4.0-4
- disable debug packages, since they end up included in a "dnf install 'R-*'" otherwise
* Thu Oct 05 2023 Will Crawford <billcrawford1970@googlemail.com> - 0.4.0-3
- fix build requires
* Thu Oct 05 2023 Will Crawford <billcrawford1970@googlemail.com> - 0.4.0-2
- hopefully fix build requires
* Thu Oct 05 2023 Will Crawford <billcrawford1970@googlemail.com> - 0.4.0-1
- initial package for Fedora
